# $Revision: 1.13 $, $Date: 2004-12-01 18:04:02 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# require network access
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-Client-HTTP
Summary:	POE::Component::Client::HTTP - a HTTP user-agent component
Summary(pl):	POE::Component::Client::HTTP - komponent klienta HTTP
Name:		perl-POE-Component-Client-HTTP
Version:	0.65
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9a2f493854380fe1aac7d769a4f9a437
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-POE >= 0.11_06
BuildRequires:	perl-URI >= 1.11
BuildRequires:	perl-libwww
%endif
Requires:	perl-POE
Requires:	perl-libwww
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Component::Client::HTTP is an HTTP user-agent for POE.  It lets
other sessions run while HTTP transactions are being processed, and it
lets several HTTP transactions be processed in parallel.

%description -l pl
POE::Component::Client::HTTP to klient HTTP dla POE. Pozwala na
dziaanie innych sesji podczas wykonywania transakcji HTTP, a take
pozwala na rwnolege wykonywanie kilku transakcji HTTP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"POE::Component::Client::HTTP")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES* README
%{perl_vendorlib}/POE/Component/Client/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-Client-HTTP.spec,v $
Revision 1.13  2004-12-01 18:04:02  radek
- autoupdated to 0.65

Revision 1.12  2004/11/03 22:30:39  paladine
- formatting

Revision 1.11  2004/08/08 19:15:03  adamg
- updated to 0.64

Revision 1.10  2004/06/02 04:42:25  ankry
- disabled tests, added R: for packages that are no longer required during build

Revision 1.9  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.8  2004/05/06 18:20:51  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/23 16:41:04  agaran
- updated bconds to new style, NFY, WIP

Revision 1.6  2004/03/06 20:18:28  adamg
- updated to 0.63

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
